Bug 199189 - [70cat] IOE: cannot write arbitrary object MultiFileObject.VoidValue#0 to SystemFileSystem.localizingBundle attr of Actions/*.instance
[70cat] IOE: cannot write arbitrary object MultiFileObject.VoidValue#0 to Sys...
Status: RESOLVED FIXED
Product: apisupport
Classification: Unclassified
Component: Project
7.0.1
All All
: P3 (vote)
: 7.0.1
Assigned To: Jesse Glick
issues@apisupport
EXCEPTIONS_REPORT
: NO70
Depends on:
Blocks: 16761
  Show dependency treegraph
 
Reported: 2011-06-06 10:20 UTC by aldobrucale
Modified: 2011-07-30 13:47 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments
stacktrace (952 bytes, text/plain)
2011-06-06 10:21 UTC, aldobrucale
Details

Note You need to log in before you can comment on or make changes to this bug.
Description aldobrucale 2011-06-06 10:20:59 UTC
Build: NetBeans IDE 7.0.1 Dev (Build 201106020000)
VM: Java HotSpot(TM) Client VM, 21.0-b14, Java(TM) SE Runtime Environment, 1.7.0-ea-b144
OS: Linux

User Comments:
aldobrucale: In a layer.xml filem the "Using SystemFileSystem.localizingBundle" warning was shown. Following the hing "use displayName instead" resulted in this exception




Stacktrace: 
java.io.IOException: cannot write arbitrary object org.openide.filesystems.MultiFileObject.VoidValue#0 to SystemFileSystem.localizingBundle attr of Actions/Window/com-imavis-omc-deviceui-alarms-AlarmListAction.instance
   at org.netbeans.modules.apisupport.project.layers.WritableXMLFileSystem.writeAttribute(WritableXMLFileSystem.java:946)
   at org.openide.filesystems.AbstractFileObject.setAttribute(AbstractFileObject.java:357)
   at org.openide.filesystems.MultiFileObject.setAttribute(MultiFileObject.java:959)
   at org.openide.filesystems.MultiFileObject.setAttribute(MultiFileObject.java:926)
   at org.netbeans.modules.apisupport.hints.SystemFileSystemAttrHinter$1.implement(SystemFileSystemAttrHinter.java:83)
   at org.netbeans.modules.editor.hints.HintsUI$1.run(HintsUI.java:743)
Comment 1 aldobrucale 2011-06-06 10:21:04 UTC
Created attachment 108748 [details]
stacktrace
Comment 2 Jesse Glick 2011-06-06 16:57:24 UTC
Reproducible. You seem to be using 7.0.1, not 7.0. It seems 7ca066d3d98d was wrong, though I do not know why; bug #16761 perhaps not fixed after all.
Comment 3 Jesse Glick 2011-06-06 17:22:35 UTC
core-main #c9bd3dabc542
Comment 4 Quality Engineering 2011-06-07 06:31:26 UTC
Integrated into 'main-golden'
Changeset: http://hg.netbeans.org/main-golden/rev/
User: 
Log:
Comment 5 Jesse Glick 2011-06-07 20:54:38 UTC
releases #ba2ccd196cad
Comment 6 Quality Engineering 2011-06-09 04:35:38 UTC
Integrated into 'releases'
Changeset: http://hg.netbeans.org/releases/rev/ba2ccd196cad
User: Jesse Glick <jglick@netbeans.org>
Log: #199189: [70cat] IOE: cannot write arbitrary object MultiFileObject.VoidValue#0 to SystemFileSystem.localizingBundle attr of Actions/*.instance
(transplanted from c9bd3dabc542cf07879c1b47dc368cd20c0ad0a8)
Comment 7 Quality Engineering 2011-07-30 13:47:59 UTC
Integrated into 'main-golden'
Changeset: http://hg.netbeans.org/main-golden/rev/bc191cd7f683
User: Jesse Glick <jglick@netbeans.org>
Log: #199189 cont'd: removing workaround for #16761 again.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo